Search in settlements
Retrieves a filtered list of settlements for the organization.
Results are sorted by createdAt in descending order when no sorting parameter is specified.
The spreadsheet response is a report containing only key settlement fields (pagination does not apply to spreadsheet responses).
post/tenants/{tenantUid}/organizations/{organizationUid}/settlements/search
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+organizationUidstringRequiredPattern:
Reference to an organization.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Body
storeUidsstring[]Optional
storePaymentMethodUidsstring[]Optional
settlementCodestringOptional
externalIdsstring[]Optional
externalPaymentReferencesstring[]Optional
hasEhfInvoicebooleanOptional
EHF = "Elektronisk handelsformat"
hasPaymentBalanceOutstandingbooleanOptional
Responses
200
Example response
post/tenants/{tenantUid}/organizations/{organizationUid}/settlements/search
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/settlements/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 321
{
"storeUids": [
"text"
],
"storePaymentMethodUids": [
"text"
],
"settlementCode": "text",
"createdAt": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"states": [
"NOT_STARTED"
],
"statuses": [
"NEW"
],
"externalIds": [
"text"
],
"externalPaymentReferences": [
"text"
],
"hasEhfInvoice": true,
"hasPaymentBalanceOutstanding": true
}200
Example response
{
"items": [
{
"amount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"displayMessages": [
{
"key": "text",
"message": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
],
"externalId": "text",
"externalPaymentReference": "text",
"idMethod": "NO_CVM_RULE_PERFORMED",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"parameters": [
{
"key": "text",
"value": "text",
"name": "text",
"type": "TEXT"
}
],
"settledAt": "2026-01-01T00:00:00.000Z",
"settlementCode": "text",
"settlementUid": "text",
"settlementName": "text",
"state": "NOT_STARTED",
"status": "NEW",
"storeSettlementIssuer": {
"storeSettlementIssuerUid": "text",
"name": "text",
"code": "text"
},
"tenantUserDisplayName": "text",
"tenantUserUid": "text",
"storePaymentMethodUid": "text",
"currency": {
"amount": 1,
"code": "text",
"exchangeRate": 1
},
"additionalDetails": [
{
"key": "text",
"value": "text"
}
],
"creditCount": 1,
"creditAmount": 1,
"paymentCount": 1,
"paymentAmount": 1,
"tillUid": "text",
"tillName": "text",
"tillNumber": 1,
"storeUid": "text",
"storeName": "text",
"orderReceiptUid": "text",
"authorizedAmount": 1,
"capturedAmount": 1,
"refundedAmount": 1,
"receiptText": "text",
"transactions": [
{
"transactionType": "text",
"pspTransactionId": "text",
"transactionAmount": 1,
"orderReceiptUid": "text"
}
],
"allowedActions": [
"CANCEL"
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

